How to tell eslint to allow staged ECMA-Script dynamic imports

I want to use the now "Stage-3" proposal import(). If I lint my code with ESLint it's complaining about:

Parsing error: 'import' and 'export' may only appear at the top level

Which is correct for the static form of import but not for the new, dynamic one. I don't find the right option to make ESLint allow that. Can someone give me a hint?

Answers:

Answer

Of course is Gyandeep right. It's no question of rules but of the parser (That's what parsing error means after all…). So I use now babel-eslint with the following .eslintrc (excerpt):

{
  "parser": "babel-eslint",
  "parserOptions": {
    "allowImportExportEverywhere": true
  }
}

Also, I made sure I installed and used babel-plugin-syntax-dynamic-import.

Tags

Recent Questions

Top Questions

Home Tags Terms of Service Privacy Policy DMCA Contact Us

©2020 All rights reserved.